<img src="https://github.com/Saxonica/Saxon-HE/blob/main/img/logo.gif"
      alt="The Saxonica logo"
      width="384px"
      />

# Saxon-HE 10

The Saxon-HE 10 releases are available in the [Java](Java) and
[Dotnet](Dotnet) folders.

## Release notes for Saxon 10, dated 2023-02-16

Saxon 10.9 is the latest maintenance release on the Saxon 10 branch.
Saxon 10.9 is released in three editions (EE, PE, and HE), for the
Java and .NET platforms.

*Version numbers (except for private builds) are now two-part numbers:
X.Y where X is the major release and Y is the minor (maintenance)
release.*

* **Saxon 10.0** (released 2020-03-16) is the first release in the Saxon 10
series, issued for the Java platform only. 
* **Saxon 10.1** (released 2020-05-14) maintenance release for Java. 
* **Saxon 10.2** (released 2020-08-26) maintenance release for Java; and
first release for .NET.
* **Saxon 10.3** (released 2020-10-28) maintenance release for Java and
.NET; with this release, Saxon 10 is recommended as the most stable and
reliable release for production use.
* **Saxon 10.5** (released 2021-04-14) maintenance release for Java and
.NET.
* **Saxon 10.6** (released 2021-09-16) maintenance release for Java and
.NET.
* **Saxon 10.7** (released 2022-03-01) maintenance release for Java and
.NET.
* **Saxon 10.8** (released 2022-03-15) maintenance release for Java and
.NET.
* **Saxon 10.9** (released 2023-02-16) maintenance release for Java and
.NET.


The documentation at https://www.saxonica.com/documentation10/ includes
a detailed list of changes for each major release, and also includes
installation instructions.

Links to all download files can be found at
https://www.saxonica.com/download/download/information.xml#earlier.

For a full list of bugs cleared in Saxon 10.9, please go to
https://saxonica.plan.io/projects/saxon/issues and filter the list of bugs for those labelled as
"Fixed in Maintenance Release 10.9"; or use [this
link](https://saxonica.plan.io/projects/saxon/issues?utf8=✓&set_filter=1&sort=id%3Adesc&f%5B%5D=status_id&op%5Bstatus_id%5D=c&f%5B%5D=cf_6&op%5Bcf_6%5D=%3D&v%5Bcf_6%5D%5B%5D=89&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&group_by=&t%5B%5D=).

For further details of these bugs, or for details of bugs cleared in
earlier maintenance releases, or to register new bugs, please visit
https://saxonica.plan.io/.

## Resources

The file [saxon-resources-10.zip](resources/saxon-resources-10.zip)
contains documentation, sample files, test drivers and other miscellaneous
resources. It is common to all platforms, and is not normally updated when
new maintenance releases appear.

## Source code

Most users will not need access to source code. For those that do, it
is available in two forms.

(a) The raw source (with latest patches) is in a Git repository at
https://saxonica.plan.io/projects/saxonmirrorhe/repository.

(b) For convenience, a zip file is made available which contains
preprocessed source code that can be loaded directly into an IDE. See the
[source](source) folder; the latest version is
[saxon10-9source.zip](source/saxon10-9source.zip).


